[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGObjectList.GetEnumerator

Return a list enumerator for T.

## Declaration

Source position: fgl.pp line 190

`public function TFPGObjectList.GetEnumerator: TFPGListEnumeratorSpec;`

## Function result

A new enumerator

## Description

GetEnumerator returns an enumerator for the elements in the list. It is a specialized version of TFPGListEnumerator.

## See also

TFPGListEnumerator |  | Generic list enumerator